Subject: RE: IPP> Two new SLP 'printer:' attributes from Printer MIB

From: [email-masked]
Date: Fri, 5 Feb 1999 14:15:46 +0900

Dear Sir,

I have some questions and I do not know how to ask, so I here would like to
ask you.

1. In [Encodeing ans Transport] you say that "enum" and "integer"  are
encoded as a signed integer. Integer is a 4 bytes data. So I should encod
"operation-supported"(1setOfEnum) as integer, should I? Or like
operation-id, as a short.

2.I noticed that in the samples given in [Encodeing ans Transport], in 9.2
Print-Job Response(successful), job-state is given tha value-tag
"nameWithoutLanguage" type, but it should be a "enum" type, is not it?

3.In the samples given in [Encodeing ans Transport], in 9.1 Print-Job
Request, name-length of "ipp-attribute-fidelity" is set to be 0x16(1 byte)
and it should be 0x0016(2 bytes), is not it? And its value-length is set to
be 0x01(1 byte), it should be 0x0001(2 bytes), is not it?